Bug 538998 - SELinux is preventing /usr/sbin/abrtd "name_bind" access.
Summary: SELinux is preventing /usr/sbin/abrtd "name_bind" access.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:b5ef3103ad0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-19 16:21 UTC by Bernd Bartmann
Modified: 2009-12-02 04:38 UTC (History)
3 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:39 UTC


Attachments (Terms of Use)

Description Bernd Bartmann 2009-11-19 16:21:59 UTC
Zusammenfassung:

SELinux is preventing /usr/sbin/abrtd "name_bind" access.

Detaillierte Beschreibung:

[abrtd hat einen toleranten Typ (abrt_t). Dieser Zugriff wurde nicht
verweigert.]

SELinux denied access requested by abrtd. It is not expected that this access is
required by abrtd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Zugriff erlauben:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Zusätzliche Informationen:

Quellkontext                  system_u:system_r:abrt_t:s0
Zielkontext                   system_u:object_r:hi_reserved_port_t:s0
Zielobjekte                   None [ udp_socket ]
Quelle                        abrtd
Quellen-Pfad                  /usr/sbin/abrtd
Port                          673
Host                          (removed)
Quellen-RPM-Pakete            abrt-0.0.11-2.fc12
Ziel-RPM-Pakete               
RPM-Richtlinie                selinux-policy-3.6.32-41.fc12
SELinux aktiviert             True
Richtlinienversion            targeted
MLS aktiviert                 True
Enforcing-Modus               Enforcing
Plugin-Name                   catchall
Hostname                      (removed)
Plattform                     Linux riker.ncc1701d 2.6.31.5-127.fc12.i686.PAE #1
                              SMP Sat Nov 7 21:25:57 EST 2009 i686 i686
Anzahl der Alarme             9
Zuerst gesehen                Mi 18 Nov 2009 20:16:11 CET
Zuletzt gesehen               Do 19 Nov 2009 17:13:19 CET
Lokale ID                     1a5ee684-610e-437e-9009-a7dd51dc2695
Zeilennummern                 

Raw-Audit-Meldungen           

node=(removed) type=AVC msg=audit(1258647199.51:57): avc:  denied  { name_bind } for  pid=1344 comm="abrtd" src=673 scontext=system_u:system_r:abrt_t:s0 tcontext=system_u:object_r:hi_reserved_port_t:s0 tclass=udp_socket

node=(removed) type=AVC msg=audit(1258647199.51:57): avc:  denied  { node_bind } for  pid=1344 comm="abrtd" src=673 scontext=system_u:system_r:abrt_t:s0 tcontext=system_u:object_r:node_t:s0 tclass=udp_socket

node=(removed) type=AVC msg=audit(1258647199.51:57): avc:  denied  { net_bind_service } for  pid=1344 comm="abrtd" capability=10 scontext=system_u:system_r:abrt_t:s0 tcontext=system_u:system_r:abrt_t:s0 tclass=capability

node=(removed) type=SYSCALL msg=audit(1258647199.51:57): arch=40000003 syscall=102 success=yes exit=0 a0=2 a1=bfbede58 a2=565ff4 a3=bfbede6c items=0 ppid=1 pid=1344 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="abrtd" exe="/usr/sbin/abrtd" subj=system_u:system_r:abrt_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,abrtd,abrt_t,hi_reserved_port_t,udp_socket,name_bind
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t hi_reserved_port_t:udp_socket name_bind;
allow abrt_t node_t:udp_socket node_bind;
allow abrt_t self:capability net_bind_service;

Comment 1 Daniel Walsh 2009-11-19 18:54:31 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:37:34 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:20:33 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:32:05 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.